const system = require("../../../system");
const ServiceBase = require("../../sve.base");
const settings = require("../../../../config/settings");
const appconfig = system.getSysConfig();
class MaterialService extends ServiceBase {
    constructor() {
        super("bizchance", ServiceBase.getDaoName(MaterialService));
    }
    // async findAndCountAll(obj) {
    //     var self = this;
    //     const apps = await this.dao.findAndCountAll(obj);
    //     return apps;
    // }

    /*根据交付单编号获取注册材料信息详情*/
    async findInfoByDeliverNumber(qobj){
        return await this.dao.findInfoByDeliverNumber(qobj);
    }

    /* 根据交付单编号更新交付单编号信息 */
    async updateInfoByDeliverNumber(qobj){
        var self=this;
        return self.db.transaction(async function (t) {
            return await self.dao.updateInfoByDeliverNumber(qobj,t);
        });
    }

    /*插入缓存信息*/
    async insertInfo(qobj){
        var self=this;
        return self.db.transaction(async function (t) {
            return await self.dao.insertInfo(qobj,t);
        });
    }

}
module.exports = MaterialService;